import pandas as pd
import tkinter as tk
from tkinter import filedialog
import os

root = tk.Tk()
root.withdraw()

file_path_str = filedialog.askopenfilename()

if not file_path_str.endswith(".xlsx") :
    print('wrong file type!')
    input("Press Enter to continue...")
    exit()
print('chosen file: ',file_path_str)
input("Press Enter to continue...")

file_name = os.path.basename(file_path_str) 
path_dir, filename = os.path.split(file_path_str)
path_file = os.sep.join([path_dir, filename])

print(file_name)
print(path_file)
SAP_No_List = pd.read_excel(os.open(file_path_str,os.O_RDONLY ))
#print(SAP_No_List)

#dfs = pd.read_excel(file_path, sheet_name=None)

